org.codehaus.plexus.util.cli.shell

## Class BourneShell

- java.lang.Object
- - org.codehaus.plexus.util.cli.shell.Shell
  - - org.codehaus.plexus.util.cli.shell.BourneShell

All Implemented Interfaces:
  Cloneable

    public class BourneShell
    extends Shell

Version:
  $Id$
Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`BourneShell()`
`BourneShell(boolean isLoginShell)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getExecutable()`
`protected String` `getExecutionPreamble()`
`String[]` `getShellArgs()` Get the shell arguments
`List<String>` `getShellArgsList()`
`protected String` `quoteOneItem(String path, boolean isExecutable)` Unify quotes in a path for the Bourne Shell.

### Methods inherited from class org.codehaus.plexus.util.cli.shell.Shell

`addShellArg, clearArguments, clone, getArgumentEscapePattern, getArgumentQuoteDelimiter, getCommandLine, getEscapeChars, getExecutableQuoteDelimiter, getOriginalCommandLine, getOriginalExecutable, getQuotingTriggerChars, getRawCommandLine, getShellCommand, getShellCommandLine, getWorkingDirectory, getWorkingDirectoryAsString, isDoubleQuotedArgumentEscaped, isDoubleQuotedExecutableEscaped, isQuotedArgumentsEnabled, isQuotedExecutableEnabled, isSingleQuotedArgumentEscaped, isSingleQuotedExecutableEscaped, setArgumentEscapePattern, setArgumentQuoteDelimiter, setDoubleQuotedArgumentEscaped, setDoubleQuotedExecutableEscaped, setExecutable, setExecutableQuoteDelimiter, setQuotedArgumentsEnabled, setQuotedExecutableEnabled, setShellArgs, setShellCommand, setSingleQuotedArgumentEscaped, setSingleQuotedExecutableEscaped, setUnconditionalQuoting, setWorkingDirectory, setWorkingDirectory`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BourneShell

    public BourneShell()

#### BourneShell

    public BourneShell(boolean isLoginShell)

### Method Detail

#### getExecutable

    public String getExecutable()

Overrides:
  `getExecutable` in class `Shell`

#### getShellArgsList

    public List<String> getShellArgsList()

Overrides:
  `getShellArgsList` in class `Shell`

#### getShellArgs

    public String[] getShellArgs()

Description copied from class: `Shell`
Get the shell arguments

Overrides:
  `getShellArgs` in class `Shell`
Returns:

#### getExecutionPreamble

    protected String getExecutionPreamble()

Overrides:
  `getExecutionPreamble` in class `Shell`

#### quoteOneItem

    protected String quoteOneItem(String path,
                                  boolean isExecutable)

Unify quotes in a path for the Bourne Shell.

     BourneShell.quoteOneItem(null)                       = null
     BourneShell.quoteOneItem("")                         = ''
     BourneShell.quoteOneItem("/test/quotedpath'abc")     = '/test/quotedpath'"'"'abc'
     BourneShell.quoteOneItem("/test/quoted path'abc")    = '/test/quoted pat'"'"'habc'
     BourneShell.quoteOneItem("/test/quotedpath\"abc")    = '/test/quotedpath"abc'
     BourneShell.quoteOneItem("/test/quoted path\"abc")   = '/test/quoted path"abc'
     BourneShell.quoteOneItem("/test/quotedpath\"'abc")   = '/test/quotedpath"'"'"'abc'
     BourneShell.quoteOneItem("/test/quoted path\"'abc")  = '/test/quoted path"'"'"'abc'

Overrides:
  `quoteOneItem` in class `Shell`
Parameters:
  `path` - not null path.
Returns:
  the path unified correctly for the Bourne shell.